## org.eclipse.emf.ocl.parser
Class ParserException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.emf.ocl.parser.ParserException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  SemanticException

Deprecated. Use the `ParserException` type, instead.

    @Deprecated
    public class ParserException

extends Exception

This exception should be used whenever an exception is thrown by the OCL parser.

See Also:
  Serialized Form

Constructor Summary
`ParserException(String msg)` Deprecated. Constructor.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ParserException

    public ParserException(String msg)

  Deprecated.
  Constructor.

  Parameters:
    `msg` - the exception message

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.